// ===========================================================================
// CONTENT  : INTERFACE IExplorableElement
// AUTHOR   : M.Duchrow
// VERSION  : 1.1 - 30/01/2008
// HISTORY  :
//  07/01/2007  mdu  CREATED
//	30/01/2008	mdu		changed	--> Moved getContext() up to IExplorationModelObject
//
// Copyright (c) 2007-2008, by Manfred Duchrow. All rights reserved.
// ===========================================================================
package org.pfsw.odem;

/**
 * Common interface for all model objects that can be used for dependency
 * exploration. 
 *
 * @author M.Duchrow
 * @version 1.1
 */
public interface IExplorableElement extends IExplorationModelObject, IExplorableElementVisiting
{
  // Currently no additional methods defined here
}