// ===========================================================================
// CONTENT  : INTERFACE IExplorableElementFilter
// AUTHOR   : M.Duchrow
// VERSION  : 1.0 - 12/01/2007
// HISTORY  :
//  12/01/2007  mdu  CREATED
//
// Copyright (c) 2007, by Manfred Duchrow. All rights reserved.
// ===========================================================================
package org.pfsw.odem;

/**
 * Simple filter for IExplorableElement objects
 *
 * @author M.Duchrow
 * @version 1.0
 */
public interface IExplorableElementFilter<E extends IExplorableElement>
{
  /**
   * Returns true if the given element matches the filter, otherwise false.
   */
  public boolean matches(E element);

}