// ===========================================================================
// CONTENT  : INTERFACE IAlias
// AUTHOR   : Manfred Duchrow
// VERSION  : 1.0 - 10/10/2017
// HISTORY  :
//  10/10/2017  mdu  CREATED
//
// Copyright (c) 2017, by MDCS. All rights reserved.
// ===========================================================================
package org.pfsw.odem;

/**
 * Defines the methods of an object with an alias.
 *
 * @author Manfred Duchrow
 * @version 1.0
 */
public interface IAlias
{
  /**
   * Returns the alias of the object.
   * 
   * @return An alias or null.
   */
  public String getAlias();
  
  /**
   * Sets the alias of the object.
   * 
   * @param name An alias name or null.
   */
  public void setAlias(String name);
}