// ===========================================================================
// CONTENT  : INTERFACE IExplorableElementVisitor
// AUTHOR   : M.Duchrow
// VERSION  : 1.0 - 08/01/2007
// HISTORY  :
//  08/01/2007  mdu  CREATED
//
// Copyright (c) 2007, by Manfred Duchrow. All rights reserved.
// ===========================================================================
package org.pfsw.odem ;

/**
 * This is the callback interface an object must implement to be used within
 * a transparent navigation over all explorable elements. 
 *
 * @author M.Duchrow
 * @version 1.0
 */
public interface IExplorableElementVisitor extends IContainersVisitor, INamespacesVisitor, ITypesVisitor
{
  // no additional methods
}